Bug 7976 - xdg-utils: use lxsu in LXQt
: xdg-utils: use lxsu in LXQt
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-26 15:33 MSD by Denis Silakov
Modified: 2017-05-30 10:47 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
vladimir.potapov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2017-05-26 15:33:03 MSD
Advisory:
Switch xdg-utils to use lxsu in LXQt

Build lists:
https://abf.io/build_lists/2872409
https://abf.io/build_lists/2872410
Comment 1 Vladimir Potapov 2017-05-26 16:38:43 MSD
xdg-su -c rosa-imagewriter
lxqt-sudo: внимание — получено несколько аргументов для бэкенда su, они были объединены в один: '-c' 'rosa-imagewriter'

Неправильно обрабатывается команная строка
lxsu rosa-imagewriter работает нормально, видимо без -c нужно
Comment 2 Denis Silakov 2017-05-29 13:03:57 MSD
New build lists:

https://abf.io/build_lists/2877156
https://abf.io/build_lists/2877245
Comment 3 Vladimir Potapov 2017-05-29 13:49:14 MSD
The updates is sent to expanded testing
****************************************
Comment 4 Andrey Bondrov 2017-05-29 14:50:42 MSD
А для rosa2014.1 это не надо бэкпортировать? Я в laptop-mode-tools добавил desktop-файлы, где в KDE используются свои механизмы запуска от рута, а в других DE вот так: Exec=xdg-su -c "%{_bindir}/lmt-config-gui"

Т.к. laptop-mode-tools собирается и для rosa2016.1, и для rosa2014.1, может и xdg-utils надо для rosa2014.1 собрать с текущей правкой.
Comment 5 Vladimir Potapov 2017-05-29 17:27:58 MSD
(In reply to comment #4)
> А для rosa2014.1 это не надо бэкпортировать? Я в laptop-mode-tools добавил
> desktop-файлы, где в KDE используются свои механизмы запуска от рута, а в
> других DE вот так: Exec=xdg-su -c "%{_bindir}/lmt-config-gui"
> 
> Т.к. laptop-mode-tools собирается и для rosa2016.1, и для rosa2014.1, может
> и xdg-utils надо для rosa2014.1 собрать с текущей правкой.
проверил в MATE - все работает. Возможно, в lxqt6 и будут проблемы, но не считаю это существенным, в 2014 он недопилен сильно - там даже скайп не работает, не то что GUI для LMT
Comment 6 Vladimir Potapov 2017-05-30 10:40:26 MSD
xdg-utils-1.1.1-5
https://abf.io/build_lists/2877156
https://abf.io/build_lists/2877245
********************* Advisory **********************
Switch xdg-utils to use lxsu in LXQt
*****************************************************
QA Verified